<?php

function setTimeZone() {
    $realpath = readlink("/etc/localtime");
    if (substr($realpath, 0, 1) != '/') {
        $realpath = realpath("/etc/" . $realpath);
    }
    $pos = strpos($realpath, "zoneinfo/");
    if ($pos !== false) {
        $link = substr($realpath, strpos($realpath, "zoneinfo/") + 9);
        date_default_timezone_set($link);
    }
}

function createYiiWebApplication() {
    if (file_exists('debug.php')) {
        include 'debug.php';
    }
    require_once 'yii-framework/yii.php';
    include dirname(__FILE__) . '/../components/MyWebApplication.php';

    return Yii::createApplication('MyWebApplication', 
        dirname(__FILE__) . '/../config/main.php');
}
